Skip to content
ASDF Projects Tutorials Community
Back to top
View this page

# asdf Package

asdf: Python library for reading and writing Advanced Scientific Data Format (ASDF) files

### Functions

`config_context`() | Context manager that temporarily overrides asdf configuration.
`dump`(tree, fp, *[, version, extensions, ...]) | Write a tree to an ASDF file.
`dumps`(tree, *[, version, extensions, ...]) | Write tree to a string.
`get_config`() | Get the current config, which may have been altered by one or more surrounding calls to `asdf.config_context`.
`info`(node_or_path[, max_rows, max_cols, ...]) | Print a rendering of an ASDF tree or sub-tree to stdout.
`load`(fp, *[, uri, validate_checksums, ...]) | Load the ASDF tree from a file-like object.
`loads`(asdf_string, *[, uri, ...]) | Load the ASDF tree from a string..
`open`(fd[, uri, mode, validate_checksums, ...]) | Open an existing ASDF file.

### Classes

`AsdfFile`([tree, uri, extensions, version, ...]) | The main class that represents an ASDF file object.
`ExternalArrayReference`(fileuri, target, ...) | Store a reference to an array in an external File.
`IntegerType`(value[, storage_type]) | Enables the storage of arbitrarily large integer values

### Variables

`__version__` | str(object='') -> str str(bytes_or_buffer[, encoding[, errors]]) -> str